Bug 4993 - ldap search always anonymous when using auth_by_bind
Summary: ldap search always anonymous when using auth_by_bind
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Authentication (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) critical (vote)
Target Milestone: Oldversions
Assignee: Dobrica Pavlinusic
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-13 19:07 UTC by Dobrica Pavlinusic
Modified: 2018-12-16 19:34 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
do bind just once (1.89 KB, patch)
2010-07-13 19:20 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Signed off patch (1.95 KB, patch)
2011-05-09 21:59 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dobrica Pavlinusic 2010-07-13 19:07:26 UTC
When using auth_by_bind, search was always done as anonymous user.
This is a problem if we want to fetch LDAP values which have ACL
permissions only for users.
Comment 1 Dobrica Pavlinusic 2010-07-13 19:20:00 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2011-05-09 21:59:26 UTC
Created attachment 4069 [details] [review]
Signed off patch
Comment 3 Joe Atzberger 2011-06-15 23:06:36 UTC
Please do not apply both this AND the fix for 5094 without testing them together.  Conflict is likely as they do not anticipate each other.
Comment 4 Dobrica Pavlinusic 2011-06-17 00:35:50 UTC
I did some testing with our setup (replicate without update) at they work fine together.

We have a two more tests which use WWW::Mechanize to create user in Koha to test full-cycle between our LDAP server, ldap-rewrite and koha at:

http://svn.rot13.org/index.cgi/virtual-ldap/browse/t/koha
Comment 5 Chris Cormack 2011-06-17 02:39:10 UTC
Dobrica, that is great, pushing the patch now, can you please run your tests against master.
Comment 6 Dobrica Pavlinusic 2011-07-14 15:32:59 UTC
Tested, it works fine, thanks.